package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;
import java.util.Set;

import cn.com.qmth.stmms.biz.exam.bean.InspectWorkVo;
import cn.com.qmth.stmms.biz.exam.model.InspectHistory;

public interface InspectHistoryService {

    InspectHistory save(InspectHistory i);

    Integer countByStudentId(Integer studentId);

    void deleteByExamIdAndSubjectCode(int examId, String subjectCode);

    void deleteByStudentId(Integer studentId);

//    InspectHistory findByStudentIdAndInspectRound(Integer id, Integer inspectRound);

    List<InspectHistory> findByStudentIdIn(List<Integer> sids);

    void deleteByStudentIdAndInspectRound(Integer studentId);

    List<InspectWorkVo> findInspectWork(Integer examId);

    Boolean existByStudentIdAndUserId(Integer studentId, Integer userId);

    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);

	int findMaxInspectCount(Set<Integer> stuIds);

}
